Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8d

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
the mod pack is good so far i havent crash (im in loading screen)
epicdanielsosa 5 years ago
anyone got a server i can be staff in????
epicdanielsosa 5 years ago
help me
sergeantsahib 5 years ago
same thing for me i think you have to add more ram to technic
Posted by epicdanielsosa 5 years ago
how do i do that
Posted by sergeantsahib 5 years ago
You need to have Java 7/8 with 64 bit version of it.
Posted by Hi it's me 5 years ago | Modpack Creator
when i press play it loads a little bit then does not work?
sergeantsahib 5 years ago
quarry does not work with land marks help
Matth9814 5 years ago
It does, you probably did somethign wrong :P
Posted by Hi it's me 5 years ago | Modpack Creator
s11.hosthorde.com:26173
Voideon 5 years ago
Add Aliens Vs Predators mod plzzz!
rhino4279 5 years ago
Hi everyone I made a new server off this modpack! Its working with the latest update aswell. 70.173.5.209
Winfucks 5 years ago
Thanks dude :)
Posted by rhino4279 5 years ago
if it dosent comprmise anythingpls get ars magica 2 (am2)
powerman92 5 years ago
server doesnt work anymore, the eula is still true but the batch file loops back to shutdown, the error message says something bout illegal character in java index 34
MrTangoPIG 5 years ago
error log, not message
Posted by MrTangoPIG 5 years ago
https://github.com/The-1-7-10-Pack/The-1.7.10-Pack/issues/291
Posted by Hi it's me 5 years ago | Modpack Creator
what dyoun mean 'no spaces on the server path'? literallyNOspaces?
Posted by MrTangoPIG 5 years ago
also how would one downgrade their current java to java7
Posted by MrTangoPIG 5 years ago
Hello, what version of optifine works best with this pack?
raythibeault 5 years ago
OptiFine 1.7.10 HD U B5
Posted by Hi it's me 5 years ago | Modpack Creator
when I click play on the mudpack it loads but doesn't start up minecraft, it just stops doing anything. 2 times delete and installed and 2 times installed Java. but it's the same. can you help me?
Lisariana 5 years ago
Java 7/8 and 64 bit version of it.
Posted by Hi it's me 5 years ago | Modpack Creator
Can I play this modpack on YouTube and is that alright with you?
SummonAwesomeness 5 years ago
Just be sure to put a link back to the modpack in the description! [;
Posted by Hi it's me 5 years ago | Modpack Creator
I downloaded the server files and have the server running, but I cannot change my OP status, i've tried changing the op-permissions level to 1,2,3 and 4 but none of that is working. How can I OP myself?
Tj_Flow 5 years ago
Just on the console type "op minecraftusernamehere"
Posted by Hi it's me 5 years ago | Modpack Creator
i can't, it says "you do not have permission to use that command"
Posted by Tj_Flow 5 years ago
You need to type it on the server's console, the black cmd window.
Posted by Hi it's me 5 years ago | Modpack Creator
i cant download the pack :( is there a resone why
xlspooky 5 years ago
Can you please give me some more information? I can help you like this :P
Posted by Hi it's me 5 years ago | Modpack Creator
To support this mod pack we have opened a dedicated server for our community and are welcoming anyone else that is supporting this modpack to join us, you must be 18+ and have a respectable manner at all times while playing on our server, we have added custom rank system in game that will stop any troll or grieffing in our server, the server currently is running 16gb of ram with up to 64 players and runs very smooth. If you are interested in playing on our server please vistit our website and send and application... http://gentlemensgaming.co.uk/home we provide a teamspeak a website and several servers for our community. White-list is required to join our server. http://cache.www.gametracker.com/server_info/185.38.148.151:25565/b_560_95_3.png
MrKRONIC 5 years ago
I have join your website but i dont find the adress of your server
Posted by SercusKan 5 years ago
mudpack ;3
Voideon 5 years ago
I find it really funny that everyone calls it mudpack now - I'm pretty sure its autocorrects fault. My chrome and skype auto corrects modpack to mudpack; probably even more things do it haha.
Posted by Puremin0rez 5 years ago
hello i can not run your pack im not shore what this means but i comes up every time i try to play "Error could not create the java virtual machine. Error a fatal exception has occurred. program will exit." so if its nothing to do with the mod pack plz tell thx m8
DANTASTIC 5 years ago
https://www.youtube.com/watch?v=KH62sm-orE4
Posted by Hi it's me 5 years ago | Modpack Creator
How did you installed powersuits for 1.7.10? I dont know what i am doing wrong, i have installed forge and it is for cleint. If someone can help please that would be great
robbop 5 years ago
You just put ModularPowersuits & Numina jar files in the mods folder (:
Posted by Hi it's me 5 years ago | Modpack Creator
when I click play on the mudpack it loads but doesn't start up minecraft, it just stops doing anything. it also does this with hack slash mine but not with hexxit or attack of the b team
JamesMurphy12345 5 years ago
Java 7/8, 64bit.
Posted by Hi it's me 5 years ago | Modpack Creator

Latest Update

The 1.12.2 Pack is officially released! After several months of research, development and testing, we're exited to say the sequel is now available through http://bit.ly/The-1-12-2-Pack-Technic-Download. Players of The 1.7.10 Pack, welcome to the new home!